This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### StringDict
Examples |
    StringDict inventory;

    void setup() {
      size(200, 200);
      inventory = new StringDict();
      inventory.set("coffee","black");
      inventory.set("flour","white");
      inventory.set("tea","green");
      println(inventory);
      noLoop();
      fill(0);
      textAlign(CENTER);
    }

    void draw() {
      String s = inventory.get("tea");
      text(s, width/2, height/2);
    }
Description | A simple class to use a String as a lookup for an String value. String "keys" are associated with String values.
Methods |
size() | Returns the number of key/value pairs
clear() | Remove all entries
keys() | Return the internal array being used to store the keys
keyArray() | Return a copy of the internal keys array
values() | Return the internal array being used to store the values
valueArray() | Create a new array and copy each of the values into it
get() | Return a value for the specified key
set() | Create a new key/value pair or change the value of one
hasKey() | Check if a key is a part of the data structure
remove() | Remove a key/value pair
sortKeys() | Sort the keys alphabetically
sortKeysReverse() | Sort the keys alphabetially in reverse
sortValues() | Sort by values in ascending order
sortValuesReverse() | Sort by values in descending order
Constructor |
    StringDict()
Related | IntDict FloatDict

Updated on October 26, 2013 08:58:33pm PDT